*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html,body{
    height: 100%;
    width: 100%;
}

:root{
    /* Background Colors */
    --bg-primary-color: #0c0c0c;
    --bg-fill-color: #fdfdfc;
    --bg-food-color: red;


    /* Text Colors */
    --text-primary-color: #f0f0f0;

    /* Spacing variables */
    --space-xs: 4px;
    --space-sm: 8px;
    --space-md: 16px;
    --space-lg: 24px;
    --space-xl: 32px;
    --space-2xl: 40px;
    --space-3xl: 48px;
    
    /* Border Colors  */
    --border-primary-color: #333333;

    /* Border radius */
    --border-radius-xs: 4px;
    --border-radius-sm: 8px;
    --border-radius-md: 12px;
    --border-radius-lg: 16px;
    --border-radius-xl: 20px;
    --border-radius-2xl: 24px;
}

html {
    background-color: var(--bg-primary-color);
    color: var(--text-primary-color);
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

main,section{
    width: 100%;
    height: 100%;
}

.btn{
    padding: var(--space-sm) var(--space-md);
    border: none;
    border-radius: var(--border-radius-sm);
    cursor: pointer;
    transition: all 0.3s ease;
}
.btn:hover{
    transform: scale(1.1);
}

section{
    padding: var(--space-2xl);
    display: flex;
    flex-direction: column;
    gap: var(--space-lg);
}

section .infos{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.info{
    padding: var(--space-sm) var(--space-md);
    border: 1px solid var(--border-primary-color);
    border-radius: var(--border-radius-sm);
}

.board{
    border: 1px solid var(--border-primary-color);
    flex-grow: 1;
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(50px,1fr));
    grid-template-rows: repeat(auto-fill,minmax(50px,1fr));
}
.block{
    border-radius: 50%;
    border: 1px solid var(--border-primary-color);
}
.fill{
    background-color: var(--bg-fill-color);
}
.food{
    background-color: var(--bg-food-color);
}
.modal{
    height: 100vh;
    width: 100vw;
    position: fixed;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(24, 24, 24, 0.19);
    backdrop-filter: blur(4px);
}
.start-game,.game-over{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--space-lg);
}
.game-over{
    display: none;
}